{{- if eq .Values.ingress.enabled true }}
{{- $fullname := include "player-skeleton-typescript-nodejs.fullname" . -}}
{{- $port := .Values.service.my.port -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ include "player-skeleton-typescript-nodejs.fullname" . }}
spec:
  ingressClassName: {{ .Values.ingress.classname }}
  rules:
    {{- with .Values.ingress.hosts }}
    - host: {{ .hostname }}
      http:
        paths:
          - path: {{ .path }}
            pathType: {{ .pathType }}
            backend:
              service:
                name: {{ $fullname }}
                port:
                  number: {{ $port }}
    {{- end }}
{{- end }}
